# Models

## The Account object

```json
{"openapi":"3.1.0","info":{"title":"impact.com REST API - Account","version":"3.1.0"},"components":{"schemas":{"Account":{"required":["id","subscription"],"properties":{"id":{"type":"string","description":"Unique identifier for the account."},"subscription":{"$ref":"#/components/schemas/AccountSubscription"},"referral":{"$ref":"#/components/schemas/AccountReferral"},"currency":{"type":"string","description":"ISO 4217 standard currency code (e.g. `USD`, `EUR`)."}}},"AccountSubscription":{"required":["status"],"properties":{"status":{"type":"string","enum":["PAID","TRIAL","FREE","CANCELLED"]},"billingIntervalType":{"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","SEMI_ANNUAL","YEAR"]},"billingIntervalValue":{"type":"integer"},"value":{"type":"number","format":"double"}}},"AccountReferral":{"properties":{"code":{"type":"string"}}}}}}
```

## The AccountSubscription object

```json
{"openapi":"3.1.0","info":{"title":"impact.com REST API - Account","version":"3.1.0"},"components":{"schemas":{"AccountSubscription":{"required":["status"],"properties":{"status":{"type":"string","enum":["PAID","TRIAL","FREE","CANCELLED"]},"billingIntervalType":{"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","SEMI_ANNUAL","YEAR"]},"billingIntervalValue":{"type":"integer"},"value":{"type":"number","format":"double"}}}}}}
```

## The AccountReferral object

```json
{"openapi":"3.1.0","info":{"title":"impact.com REST API - Account","version":"3.1.0"},"components":{"schemas":{"AccountReferral":{"properties":{"code":{"type":"string"}}}}}}
```

## The Error object

```json
{"openapi":"3.1.0","info":{"title":"impact.com REST API - Account","version":"3.1.0"},"components":{"schemas":{"Error":{"properties":{"statusCode":{"type":"integer","format":"int32","description":"The HTTP status code of the error."},"message":{"type":"string","description":"The human-readable description of what went wrong. Use this to help you debug."},"apiErrorCode":{"type":"string","description":"A machine-readable error code."},"rsCode":{"type":"string","nullable":true,"description":"A secondary machine-readable error code."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/advocate-api-reference-v1/reference/account-overview/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
